org.apache.solr.common.params

## Interface TermVectorParams

-     public interface TermVectorParams

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL` Return all the options: TF, positions, offsets, idf
    `static String` | `DF` Return IDF information.
    `static String` | `DOC_IDS` The Doc Ids (Lucene internal ids) of the docs to get the term vectors for
    `static String` | `FIELDS` The fields to get term vectors for
    `static String` | `OFFSETS` Return offset information, if available
    `static String` | `PAYLOADS` Return Term Vector payloads information
    `static String` | `POSITIONS` Return Term Vector position information
    `static String` | `TF` Return Term Frequency info
    `static String` | `TF_IDF` Return TF-IDF calculation, i.e.
    `static String` | `TV_PREFIX`

- - ### Field Detail

    - #### TV_PREFIX

          static final String TV_PREFIX

      See Also:
        Constant Field Values

    - #### TF

          static final String TF

      Return Term Frequency info
      See Also:
        Constant Field Values

    - #### POSITIONS

          static final String POSITIONS

      Return Term Vector position information
      See Also:
        Constant Field Values

    - #### PAYLOADS

          static final String PAYLOADS

      Return Term Vector payloads information
      See Also:
        Constant Field Values

    - #### OFFSETS

          static final String OFFSETS

      Return offset information, if available
      See Also:
        Constant Field Values

    - #### DF

          static final String DF

      Return IDF information. May be expensive
      See Also:
        Constant Field Values

    - #### TF_IDF

          static final String TF_IDF

      Return TF-IDF calculation, i.e. (tf / idf). May be expensive.
      See Also:
        Constant Field Values

    - #### ALL

          static final String ALL

      Return all the options: TF, positions, offsets, idf
      See Also:
        Constant Field Values

    - #### FIELDS

          static final String FIELDS

      The fields to get term vectors for
      See Also:
        Constant Field Values

    - #### DOC_IDS

          static final String DOC_IDS

      The Doc Ids (Lucene internal ids) of the docs to get the term vectors for
      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.